HC(1)

NAME
httpcode - explains the meaning of an HTTP status code on the command line

SYNOPSIS
hc [ options ] [ code ]

DESCRIPTION
This manual page documents briefly the httpcode commands.

httpcode is a little utility that explains the meaning of an HTTP status code on the command line.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-h, --help
    Show summary of options.

-s SEARCH, --search=SEARCH
    Search for a code by name or description. Search text may contain regular expressions.

USAGE

Lists all available HTTP status codes and their description:

hc

Explain 405 status code:

hc 405

Search code(s) by description (case-insensitive):

hc -s too

Filter codes with a regex

hc 30[12]

Use an 'x' for any digit

hc 1xx

AUTHOR
httpcode was written by Ruslan Spivak <ruslan.spivak@gmail.com>.

This manual page was written by Khalid El Fathi <khalid@elfathi.fr>, for the Debian project (and may be used by others).